<html>
<head>
<title>Ogre::LogManager Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1LogManager.html">LogManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-types">Protected Types</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::LogManager Class Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::LogManager" --><!-- doxytag: inherits="Singleton&lt; LogManager &gt;,Ogre::AllocatedObject" -->
<p>The log manager handles the creation and retrieval of logs for the application.  
 <a href="classOgre_1_1LogManager.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreLogManager_8h_source.html">OgreLogManager.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::LogManager:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1LogManager__inherit__graph.gif" border="0" usemap="#Ogre_1_1LogManager_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1LogManager_inherit__map" id="Ogre_1_1LogManager_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1Singleton.html" title="Ogre::Singleton\&lt; LogManager \&gt;" alt="" coords="5,5,211,35"/><area shape="rect" id="node4" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="235,5,307,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1LogManager-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="OgreThreadDefinesTBB_8h.html#a18a523fad1f9e10324e1742865f562b7">OGRE_AUTO_MUTEX</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#a51428feae11310e268c885bf3c0bf331">LogManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#a887b11fa93f8aa25b912c226dd70943f">~LogManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Log.html">Log</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#a85722e2aa03ca2cd18baa6e52f4a7631">createLog</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, bool defaultLog=false, bool debuggerOutput=true, bool suppressFileOutput=false)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new log with the given name.  <a href="#a85722e2aa03ca2cd18baa6e52f4a7631"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Log.html">Log</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#a2d93a13fad0c049ccc2b4d72f053e286">getLog</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves a log managed by this class.  <a href="#a2d93a13fad0c049ccc2b4d72f053e286"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Log.html">Log</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#a94e537bffee90afa9b96a15e10c3ea21">getDefaultLog</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a pointer to the default log.  <a href="#a94e537bffee90afa9b96a15e10c3ea21"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#a0ee43aed02b63b61e5f1face7c86b2ed">destroyLog</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Closes and removes a named log.  <a href="#a0ee43aed02b63b61e5f1face7c86b2ed"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#ad8cf8e59a505cd064d64d2f6123322e4">destroyLog</a> (<a class="el" href="classOgre_1_1Log.html">Log</a> *log)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Closes and removes a log.  <a href="#ad8cf8e59a505cd064d64d2f6123322e4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Log.html">Log</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#aa274af4b29e98ac5340a18ad1b695139">setDefaultLog</a> (<a class="el" href="classOgre_1_1Log.html">Log</a> *newLog)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the passed in log as the default log.  <a href="#aa274af4b29e98ac5340a18ad1b695139"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#a0c4faae4a0fbe6f8df7583cfa4c63b52">logMessage</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;message, <a class="el" href="group__General.html#ga124456c1616299612ac9f46e7d69268d">LogMessageLevel</a> lml=<a class="el" href="group__General.html#gga124456c1616299612ac9f46e7d69268dab6d5702e6462875fcbc1b5aff2497d2e">LML_NORMAL</a>, bool maskDebug=false)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Log.html">Log</a> a message to the default log.  <a href="#a0c4faae4a0fbe6f8df7583cfa4c63b52"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#a4be284d44cb3271413335d2e56fb49fb">logMessage</a> (<a class="el" href="group__General.html#ga124456c1616299612ac9f46e7d69268d">LogMessageLevel</a> lml, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;message, bool maskDebug=false)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Log.html">Log</a> a message to the default log (signature for backward compatibility).  <a href="#a4be284d44cb3271413335d2e56fb49fb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Log_1_1Stream.html">Log::Stream</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#a59b4ecc2ae226ada23b0a106397425d0">stream</a> (<a class="el" href="group__General.html#ga124456c1616299612ac9f46e7d69268d">LogMessageLevel</a> lml=<a class="el" href="group__General.html#gga124456c1616299612ac9f46e7d69268dab6d5702e6462875fcbc1b5aff2497d2e">LML_NORMAL</a>, bool maskDebug=false)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a stream on the default log.  <a href="#a59b4ecc2ae226ada23b0a106397425d0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#a4b7b19b57b7f4fa7d20fad9e672eba3f">setLogDetail</a> (<a class="el" href="group__General.html#ga122d6319a25f910b8b1bf6fe52f91f6b">LoggingLevel</a> ll)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the level of detail of the default log.  <a href="#a4b7b19b57b7f4fa7d20fad9e672eba3f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1LogManager.html">LogManager</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#a1bd6bc0890fd3e1de7886433c40b5e87">getSingleton</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#a1bd6bc0890fd3e1de7886433c40b5e87"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1LogManager.html">LogManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#a26fc82537a3ea960342838f878ef0f1f">getSingletonPtr</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#a26fc82537a3ea960342838f878ef0f1f"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-types"></a>
Protected Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1Log.html">Log</a> * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#a6c03c72b03b55c3e43a6f31dc0d29f77">LogList</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1LogManager.html#a6c03c72b03b55c3e43a6f31dc0d29f77">LogList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#a489779006a5b20d9b00270ebc2d76ba5">mLogs</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A list of all the logs the manager can access.  <a href="#a489779006a5b20d9b00270ebc2d76ba5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Log.html">Log</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#a590d285b99b40eab5296e59bca131e19">mDefaultLog</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The default log to which output is done.  <a href="#a590d285b99b40eab5296e59bca131e19"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1LogManager.html">LogManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>The log manager handles the creation and retrieval of logs for the application. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This class will create new log files and will retrieve instances of existing ones. Other classes wishing to log output can either create a fresh log or retrieve an existing one to output to. One log is the default log, and is the one written to when the logging methods of this class are called. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>By default, <a class="el" href="classOgre_1_1Root.html" title="The root class of the Ogre system.">Root</a> will instantiate a <a class="el" href="classOgre_1_1LogManager.html" title="The log manager handles the creation and retrieval of logs for the application.">LogManager</a> (which becomes the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> instance) on construction, and will create a default log based on the <a class="el" href="classOgre_1_1Root.html" title="The root class of the Ogre system.">Root</a> construction parameters. If you want more control, for example redirecting log output right from the start or suppressing debug output, you need to create a <a class="el" href="classOgre_1_1LogManager.html" title="The log manager handles the creation and retrieval of logs for the application.">LogManager</a> yourself before creating a <a class="el" href="classOgre_1_1Root.html" title="The root class of the Ogre system.">Root</a> instance, then create a default log. <a class="el" href="classOgre_1_1Root.html" title="The root class of the Ogre system.">Root</a> will detect that you've created one yourself and won't create one of its own, thus using all your logging preferences from the first instance. </dd></dl>

<p>Definition at line <a class="el" href="OgreLogManager_8h_source.html#l00064">64</a> of file <a class="el" href="OgreLogManager_8h_source.html">OgreLogManager.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a6c03c72b03b55c3e43a6f31dc0d29f77"></a><!-- doxytag: member="Ogre::LogManager::LogList" ref="a6c03c72b03b55c3e43a6f31dc0d29f77" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1Log.html">Log</a>*&gt;::type <a class="el" href="classOgre_1_1LogManager.html#a6c03c72b03b55c3e43a6f31dc0d29f77">Ogre::LogManager::LogList</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreLogManager_8h_source.html#l00067">67</a> of file <a class="el" href="OgreLogManager_8h_source.html">OgreLogManager.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a51428feae11310e268c885bf3c0bf331"></a><!-- doxytag: member="Ogre::LogManager::LogManager" ref="a51428feae11310e268c885bf3c0bf331" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgreThreadDefinesTBB_8h.html#a18a523fad1f9e10324e1742865f562b7">OGRE_AUTO_MUTEX</a> <a class="el" href="classOgre_1_1LogManager.html#a51428feae11310e268c885bf3c0bf331">Ogre::LogManager::LogManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a887b11fa93f8aa25b912c226dd70943f"></a><!-- doxytag: member="Ogre::LogManager::~LogManager" ref="a887b11fa93f8aa25b912c226dd70943f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1LogManager.html#a887b11fa93f8aa25b912c226dd70943f">Ogre::LogManager::~LogManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a85722e2aa03ca2cd18baa6e52f4a7631"></a><!-- doxytag: member="Ogre::LogManager::createLog" ref="a85722e2aa03ca2cd18baa6e52f4a7631" args="(const String &amp;name, bool defaultLog=false, bool debuggerOutput=true, bool suppressFileOutput=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Log.html">Log</a>* <a class="el" href="classOgre_1_1LogManager.html#a85722e2aa03ca2cd18baa6e52f4a7631">Ogre::LogManager::createLog</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>defaultLog</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>debuggerOutput</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>suppressFileOutput</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Creates a new log with the given name. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name to give the log e.g. 'Ogre.log' </td></tr>
    <tr><td class="paramname">defaultLog</td><td>If true, this is the default log output will be sent to if the generic logging methods on this class are used. The first log created is always the default log unless this parameter is set. </td></tr>
    <tr><td class="paramname">debuggerOutput</td><td>If true, output to this log will also be routed to the debugger's output window. </td></tr>
    <tr><td class="paramname">suppressFileOutput</td><td>If true, this is a logical rather than a physical log and no file output will be written. If you do this you should register a <a class="el" href="classOgre_1_1LogListener.html">LogListener</a> so log output is not lost. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0ee43aed02b63b61e5f1face7c86b2ed"></a><!-- doxytag: member="Ogre::LogManager::destroyLog" ref="a0ee43aed02b63b61e5f1face7c86b2ed" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1LogManager.html#a0ee43aed02b63b61e5f1face7c86b2ed">Ogre::LogManager::destroyLog</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Closes and removes a named log. </p>

</div>
</div>
<a class="anchor" id="ad8cf8e59a505cd064d64d2f6123322e4"></a><!-- doxytag: member="Ogre::LogManager::destroyLog" ref="ad8cf8e59a505cd064d64d2f6123322e4" args="(Log *log)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1LogManager.html#a0ee43aed02b63b61e5f1face7c86b2ed">Ogre::LogManager::destroyLog</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Log.html">Log</a> *&#160;</td>
          <td class="paramname"><em>log</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Closes and removes a log. </p>

</div>
</div>
<a class="anchor" id="a94e537bffee90afa9b96a15e10c3ea21"></a><!-- doxytag: member="Ogre::LogManager::getDefaultLog" ref="a94e537bffee90afa9b96a15e10c3ea21" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Log.html">Log</a>* <a class="el" href="classOgre_1_1LogManager.html#a94e537bffee90afa9b96a15e10c3ea21">Ogre::LogManager::getDefaultLog</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns a pointer to the default log. </p>

</div>
</div>
<a class="anchor" id="a2d93a13fad0c049ccc2b4d72f053e286"></a><!-- doxytag: member="Ogre::LogManager::getLog" ref="a2d93a13fad0c049ccc2b4d72f053e286" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Log.html">Log</a>* <a class="el" href="classOgre_1_1LogManager.html#a2d93a13fad0c049ccc2b4d72f053e286">Ogre::LogManager::getLog</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieves a log managed by this class. </p>

</div>
</div>
<a class="anchor" id="a1bd6bc0890fd3e1de7886433c40b5e87"></a><!-- doxytag: member="Ogre::LogManager::getSingleton" ref="a1bd6bc0890fd3e1de7886433c40b5e87" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1LogManager.html">LogManager</a>&amp; <a class="el" href="classOgre_1_1LogManager.html#a1bd6bc0890fd3e1de7886433c40b5e87">Ogre::LogManager::getSingleton</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">Ogre::Singleton&lt; LogManager &gt;</a>.</p>

</div>
</div>
<a class="anchor" id="a26fc82537a3ea960342838f878ef0f1f"></a><!-- doxytag: member="Ogre::LogManager::getSingletonPtr" ref="a26fc82537a3ea960342838f878ef0f1f" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1LogManager.html">LogManager</a>* <a class="el" href="classOgre_1_1LogManager.html#a26fc82537a3ea960342838f878ef0f1f">Ogre::LogManager::getSingletonPtr</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">Ogre::Singleton&lt; LogManager &gt;</a>.</p>

</div>
</div>
<a class="anchor" id="a0c4faae4a0fbe6f8df7583cfa4c63b52"></a><!-- doxytag: member="Ogre::LogManager::logMessage" ref="a0c4faae4a0fbe6f8df7583cfa4c63b52" args="(const String &amp;message, LogMessageLevel lml=LML_NORMAL, bool maskDebug=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1LogManager.html#a0c4faae4a0fbe6f8df7583cfa4c63b52">Ogre::LogManager::logMessage</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>message</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__General.html#ga124456c1616299612ac9f46e7d69268d">LogMessageLevel</a>&#160;</td>
          <td class="paramname"><em>lml</em> = <code><a class="el" href="group__General.html#gga124456c1616299612ac9f46e7d69268dab6d5702e6462875fcbc1b5aff2497d2e">LML_NORMAL</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>maskDebug</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Log.html">Log</a> a message to the default log. </p>

</div>
</div>
<a class="anchor" id="a4be284d44cb3271413335d2e56fb49fb"></a><!-- doxytag: member="Ogre::LogManager::logMessage" ref="a4be284d44cb3271413335d2e56fb49fb" args="(LogMessageLevel lml, const String &amp;message, bool maskDebug=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1LogManager.html#a0c4faae4a0fbe6f8df7583cfa4c63b52">Ogre::LogManager::logMessage</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__General.html#ga124456c1616299612ac9f46e7d69268d">LogMessageLevel</a>&#160;</td>
          <td class="paramname"><em>lml</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>message</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>maskDebug</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Log.html">Log</a> a message to the default log (signature for backward compatibility). </p>

<p>Definition at line <a class="el" href="OgreLogManager_8h_source.html#l00125">125</a> of file <a class="el" href="OgreLogManager_8h_source.html">OgreLogManager.h</a>.</p>

<p>References <a class="el" href="OgreLogManager_8h_source.html#l00125">logMessage()</a>.</p>

<p>Referenced by <a class="el" href="OgreLogManager_8h_source.html#l00125">logMessage()</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::LogManager::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::LogManager::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::LogManager::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::LogManager::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::LogManager::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::LogManager::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::LogManager::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::LogManager::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::LogManager::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::LogManager::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa274af4b29e98ac5340a18ad1b695139"></a><!-- doxytag: member="Ogre::LogManager::setDefaultLog" ref="aa274af4b29e98ac5340a18ad1b695139" args="(Log *newLog)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Log.html">Log</a>* <a class="el" href="classOgre_1_1LogManager.html#aa274af4b29e98ac5340a18ad1b695139">Ogre::LogManager::setDefaultLog</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Log.html">Log</a> *&#160;</td>
          <td class="paramname"><em>newLog</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the passed in log as the default log. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>The previous default log. </dd></dl>

</div>
</div>
<a class="anchor" id="a4b7b19b57b7f4fa7d20fad9e672eba3f"></a><!-- doxytag: member="Ogre::LogManager::setLogDetail" ref="a4b7b19b57b7f4fa7d20fad9e672eba3f" args="(LoggingLevel ll)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1LogManager.html#a4b7b19b57b7f4fa7d20fad9e672eba3f">Ogre::LogManager::setLogDetail</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__General.html#ga122d6319a25f910b8b1bf6fe52f91f6b">LoggingLevel</a>&#160;</td>
          <td class="paramname"><em>ll</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the level of detail of the default log. </p>

</div>
</div>
<a class="anchor" id="a59b4ecc2ae226ada23b0a106397425d0"></a><!-- doxytag: member="Ogre::LogManager::stream" ref="a59b4ecc2ae226ada23b0a106397425d0" args="(LogMessageLevel lml=LML_NORMAL, bool maskDebug=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Log_1_1Stream.html">Log::Stream</a> <a class="el" href="classOgre_1_1LogManager.html#a59b4ecc2ae226ada23b0a106397425d0">Ogre::LogManager::stream</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__General.html#ga124456c1616299612ac9f46e7d69268d">LogMessageLevel</a>&#160;</td>
          <td class="paramname"><em>lml</em> = <code><a class="el" href="group__General.html#gga124456c1616299612ac9f46e7d69268dab6d5702e6462875fcbc1b5aff2497d2e">LML_NORMAL</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>maskDebug</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a stream on the default log. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a590d285b99b40eab5296e59bca131e19"></a><!-- doxytag: member="Ogre::LogManager::mDefaultLog" ref="a590d285b99b40eab5296e59bca131e19" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Log.html">Log</a>* <a class="el" href="classOgre_1_1LogManager.html#a590d285b99b40eab5296e59bca131e19">Ogre::LogManager::mDefaultLog</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The default log to which output is done. </p>

<p>Definition at line <a class="el" href="OgreLogManager_8h_source.html#l00073">73</a> of file <a class="el" href="OgreLogManager_8h_source.html">OgreLogManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a489779006a5b20d9b00270ebc2d76ba5"></a><!-- doxytag: member="Ogre::LogManager::mLogs" ref="a489779006a5b20d9b00270ebc2d76ba5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1LogManager.html#a6c03c72b03b55c3e43a6f31dc0d29f77">LogList</a> <a class="el" href="classOgre_1_1LogManager.html#a489779006a5b20d9b00270ebc2d76ba5">Ogre::LogManager::mLogs</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A list of all the logs the manager can access. </p>

<p>Definition at line <a class="el" href="OgreLogManager_8h_source.html#l00070">70</a> of file <a class="el" href="OgreLogManager_8h_source.html">OgreLogManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="aff0baaaed91d8505cfb72b7725ae1c37"></a><!-- doxytag: member="Ogre::LogManager::msSingleton" ref="aff0baaaed91d8505cfb72b7725ae1c37" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1LogManager.html">LogManager</a> * <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1LogManager.html">LogManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00075">75</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreLogManager_8h_source.html">OgreLogManager.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:58
</p>
</body>
</html>
